%define oname   yard

Name:       ruby-%{oname}
Version:    0.6.8
Release:    %mkrel 2
Summary:    Documentation tool for consistent and usable documentation in Ruby
Group:      Development/Ruby
License:    MIT
URL:        http://yardoc.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(RedCloth)
BuildRequires: rubygem(rack)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
YARD is a documentation generation tool for the Ruby programming
language.
It enables the user to generate consistent, usable documentation that can be
exported to a number of formats very easily, and also supports extending for
custom Ruby constructs such as custom class level definitions.

%files
%defattr(-, root, root, -)
%{_bindir}/yard
%{_bindir}/yardoc
%{_bindir}/yri
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
#FIXME I don't know why this fails on bs and not here :/
rm -f spec/cli/yri_spec.rb
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Sun May 01 2011 shikamaru <shikamaru> 0.6.8-2.mga1
+ Revision: 94090
- FIXME: disable one test that fails on bs but not here?\226?\128?\166
- add check section

* Sat Apr 16 2011 shikamaru <shikamaru> 0.6.8-1.mga1
+ Revision: 86045
- new version 0.6.8

* Sat Apr 09 2011 shikamaru <shikamaru> 0.6.7-1.mga1
+ Revision: 82580
- new version 0.6.7

* Wed Feb 02 2011 shikamaru <shikamaru> 0.6.4-1.mga1
+ Revision: 46471
- imported package ruby-yard


* Wed Jan 26 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.4-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 0.6.4

* Tue Dec 07 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 614566
- import rubygem-yard
